Upgradeissue: Alias "application.controllers.admin.update" is invalid.

More
3 years 11 months ago - 3 years 11 months ago #139608 by jelo
While trying to upgrade from Version 2.05+ Build 150508 to 2.06+ (150731) (stable) the following issue occurs :
Internal Server Error
Alias "application.controllers.admin.update" is invalid. Make sure it points to an existing PHP file and the file is readable.
An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.
Thank you.

Path is /index.php/admin/update/sa/index/build/150731

Looks like a replacement of the update file could fix that issue.

Another issue with the comfort update is that the download buttons behind the versions are not pointing to the correct download locations.
The downloadbutton behind 2.06+ (150731) is pointing to LS 2.5.
Since comfortupdate is not doing the direct upgrade to the latest LTS you would expect access to the relevant LTS version for the manual download.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
Last edit: 3 years 11 months ago by jelo.
The topic has been locked.
LimeSurvey Partners
More
3 years 10 months ago #141417 by jelo
ComfortUpdater is only comfortable if you always update.

we recommend to the d user to update regularly, and if he doesn't, to expect to encounter bugs that has been already fixed in recent versions.

bugs.limesurvey.org/view.php?id=11482#c40462

So prepare yourself to get stuck when using comfortupdater (even when the comfort updater updated itself before doing the real update).
To ensure that you don't got stuck learn to update manually.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
  • LouisGac
  • LouisGac's Avatar
  • Visitor
  • Visitor
3 years 10 months ago #141439 by LouisGac
The old comfortUpdate is buggy (before 2.5).
When people didn't updated since a very long time, we rather recommend to update manually, else, you could face the old comfortUpdate bugs.
The topic has been locked.

Start now!

Just create your account and start using Limesurvey today.

Register now